# Update the telemetry config of a serving endpoint

Launch stage: GA

`PATCH /api/2.0/serving-endpoints/{name}/telemetry-config`

Updates the telemetry configuration of a serving endpoint.

API scopes: model-serving

## Path parameters

- `name` (string, required)
  The name of the serving endpoint whose telemetry configuration is being updated. This field is required.
  Constraints: `[ 1 .. 63 ] characters`

## Request body

- `telemetry_config` (object, optional)
  The telemetry configuration to be applied to the serving endpoint.
   Can specify either a telemetry_profile_id to use an existing profile,
   or table_names to create a new profile with the specified Unity Catalog tables.
   If not provided, the telemetry configuration will be removed from the endpoint.
  - `telemetry_profile_id` (string, optional, Public Preview)
    The ID of an existing telemetry profile to apply to this endpoint. Provide this to reuse a
     telemetry profile that has already been created, instead of specifying table_names.
  - `table_names` (object, optional, Public Preview)
    The Unity Catalog tables to which endpoint telemetry (logs, traces, and metrics) is exported.
     Provide this to create a new telemetry profile for the endpoint from the given tables.
    - `logs_table` (string, optional, Public Preview)
      The full three-level Unity Catalog name (catalog.schema.table) of the table that receives
       exported logs.
    - `metrics_table` (string, optional, Public Preview)
      The full three-level Unity Catalog name (catalog.schema.table) of the table that receives
       exported metrics.
    - `traces_table` (string, optional, Public Preview)
      The full three-level Unity Catalog name (catalog.schema.table) of the table that receives
       exported traces (spans).
    - `annotations_table` (string, optional, Public Preview)
      The full three-level Unity Catalog name (catalog.schema.table) of the table that receives
       exported annotations.
  - `inference_table_config` (object, optional, Public Preview)
    Configuration for inference table payload logging, including sampling.
    - `sampling_fraction` (double, optional, Public Preview)
      Fraction of requests sampled for payload logging, in the range [0.0, 1.0], where 1.0 logs all requests.
  - `enabled_telemetry_features` (array of string, optional, Public Preview)
    The telemetry signals to enable for this endpoint. If empty or omitted, all signals are
     enabled; otherwise only the listed signals are enabled.
    Possible values:
    - `TELEMETRY_FEATURE_LOGS`
    - `TELEMETRY_FEATURE_TRACES`
    - `TELEMETRY_FEATURE_METRICS`
    - `TELEMETRY_FEATURE_INFERENCE_TABLE`

## Returns

Returns the InferenceEndpointDetailed object.

## Response

```json
{
  "name": "feed-ads",
  "creator": "alice@company.com",
  "creation_timestamp": 0,
  "last_updated_timestamp": 0,
  "state": {
    "ready": "READY",
    "config_update": "NOT_UPDATING"
  },
  "config": {
    "config_version": 0,
    "served_entities": [
      {}
    ],
    "served_models": [
      {}
    ],
    "traffic_config": {},
    "auto_capture_config": {}
  },
  "pending_config": {
    "served_entities": [
      {}
    ],
    "served_models": [
      {}
    ],
    "traffic_config": {},
    "config_version": 0,
    "start_time": 0,
    "auto_capture_config": {}
  },
  "id": "88fd3f75a0d24b0380ddc40484d7a31b",
  "permission_level": "CAN_MANAGE",
  "tags": [
    {
      "key": "team",
      "value": "data science"
    }
  ],
  "task": "model-serving-task",
  "route_optimized": true,
  "endpoint_url": "string",
  "data_plane_info": {
    "query_info": {}
  },
  "ai_gateway": {
    "usage_tracking_config": {},
    "inference_table_config": {},
    "rate_limits": [
      {}
    ],
    "guardrails": {},
    "fallback_config": {}
  },
  "budget_policy_id": "string",
  "email_notifications": {
    "on_update_success": [
      "user.name@databricks.com"
    ],
    "on_update_failure": [
      "user.name@databricks.com"
    ]
  },
  "description": "string",
  "telemetry_config": {
    "telemetry_profile_id": "string",
    "table_names": {},
    "inference_table_config": {},
    "enabled_telemetry_features": [
      "TELEMETRY_FEATURE_LOGS"
    ]
  }
}
```

